 /*
 * file      : src/conv.h
 * project   : tnt
 * with      : Gtk-3
 *
 * copyright : (C) 2012 by Claude BULIN
 *
 * TNT - INDIQUEZ ICI CE QUE FAIT LE PROGRAMME
 * GNU General Public License
 *
 * This file is part of TNT.
 *
 * TNT is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 *
 * TNT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TNT.  If not, see <http://www.gnu.org/licenses/>.
 */



#ifndef conv_h
#define conv_h 1

#include <sys/types.h>
#include <signal.h>


#define	MAX_ARG_CONV 10

typedef struct {

	pid_t		code_fork;						// Num Code Fork
	int			signal_numchildren;				// The signal handler
	int			tube [ 2 ];						// For pipe
	gchar		*ArgConv [ MAX_ARG_CONV + 20 ];	// Tab

} CONV;

void	conv_with_args( gchar *p_text, ... );

#endif


